Skip to main content
POST
/
test_framework
/
v1
/
scenarios
/
delete_scenarios
Bulk delete evaluators
curl --request POST \
  --url https://api.cekura.ai/test_framework/v1/scenarios/delete_scenarios/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "scenarios": [
    123
  ],
  "agent_id": 123,
  "project_id": 123
}
'
{
  "field_name": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Body

scenarios
integer[]
required

List of evaluator (scenario) IDs to soft-delete.

agent_id
integer

Scope the permission check to a specific agent. Either this or project_id is required.

project_id
integer

Scope the permission check to a specific project. Either this or agent_id is required.

Response

No response body